export default {
  props: [{
    name: 'anchorOrigin',
    type: 'Object',
    default: `{vertical: 'bottom', horizontal: 'left' }`,
    desc: 'props.anchorOrigin'
  }, {
    name: 'targetOrigin',
    type: 'Object',
    default: `{vertical: 'top', horizontal: 'left' }`,
    desc: 'props.targetOrigin'
  }, {
    name: 'scroller',
    type: 'Element',
    default: 'window',
    desc: 'props.scroller'
  }, {
    name: 'maxHeight',
    type: 'Number',
    default: '',
    desc: 'props.maxHeight'
  }, {
    name: 'dataSource',
    type: 'Array',
    default: '',
    desc: 'props.dataSource'
  }, {
    name: 'dataSourceConfig',
    type: 'Object',
    default: `{text: 'text', value: 'value'}`,
    desc: 'props.dataSourceConfig'
  }, {
    name: 'disableFocusRipple',
    type: 'Boolean',
    default: 'true',
    desc: 'props.disableFocusRipple'
  }, {
    name: 'filter',
    type: 'String, Function',
    default: 'caseSensitiveFilter',
    desc: 'props.filter'
  }, {
    name: 'maxSearchResults',
    type: 'Number',
    default: '',
    desc: 'props.maxSearchResults'
  }, {
    name: 'openOnFocus',
    type: 'Boolean',
    default: 'false',
    desc: 'props.openOnFocus'
  }, {
    name: 'menuCloseDelay',
    type: 'Number',
    default: '300',
    desc: 'props.menuCloseDelay'
  }, {
    name: 'label',
    type: 'String',
    default: '',
    desc: 'props.label'
  }, {
    name: 'labelFloat',
    type: 'Boolean',
    default: 'false',
    desc: 'props.labelFloat'
  }, {
    name: 'labelClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.labelClass'
  }, {
    name: 'labelFocusClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.labelFocusClass'
  }, {
    name: 'disabled',
    type: 'Boolean',
    default: 'false',
    desc: 'props.disabled'
  }, {
    name: 'hintText',
    type: 'String',
    default: '',
    desc: 'props.hintText'
  }, {
    name: 'hintTextClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.hintTextClass'
  }, {
    name: 'helpText',
    type: 'String',
    default: '',
    desc: 'props.helpText'
  }, {
    name: 'helpTextClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.helpTextClass'
  }, {
    name: 'errorText',
    type: 'String',
    default: '',
    desc: 'props.errorText'
  }, {
    name: 'errorColor',
    type: 'String',
    default: '',
    desc: 'props.errorColor'
  }, {
    name: 'icon',
    type: 'String',
    default: '',
    desc: 'props.icon'
  }, {
    name: 'iconClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.iconClass'
  }, {
    name: 'fullWidth',
    type: 'Boolean',
    default: 'false',
    desc: 'props.fullWidth'
  }, {
    name: 'underlineShow',
    type: 'Boolean',
    default: 'true',
    desc: 'props.underlineShow'
  }, {
    name: 'underlineClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.underlineClass'
  }, {
    name: 'underlineFocusClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.underlineFocusClass'
  }, {
    name: 'inputClass',
    type: 'String,Object,Array',
    default: '',
    desc: 'props.inputClass'
  }, {
    name: 'value',
    type: 'String',
    default: '',
    desc: 'props.value'
  }],
  events: [{
    name: 'focus',
    desc: 'events.focus'
  }, {
    name: 'blur',
    desc: 'events.blur'
  }, {
    name: 'select',
    desc: 'events.select'
  }, {
    name: 'input',
    desc: 'events.input'
  }, {
    name: 'change',
    desc: 'events.change'
  }]
}
